All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.expr
Class DateValueExpression

    com.sas.iquery.metadata.expr.DateValueExpression

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, UsabilityInterface, ExpressionInterface, PropertyChangeListenee, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public final class DateValueExpression

Models date values while fitting into the SAS Query Services expression model by implementing the ExpressionInterface.

Date values stored within objects of this type are implicitly associated with the Greenwich Mean Time (GMT) timezone. No explicit specification of a timezone is allowed or necessary. This behavior is consistent with the Java time-oriented values associated with the classes java.util.Date, java.sql.Date, java.sql.Time, and java.sql.Timestamp.

See the javadoc in the AbstractTimeValueExpression class for more information on timezones.

Field Summary

Fields inherited from class com.sas.iquery.metadata.expr.AbstractTimeValueExpression
`EVENT_VALUE_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`DateValueExpression()` Creates a DateValueExpression object with no date value set.
`DateValueExpression(java.sql.Date value)` Creates a DateValueExpression object with the specified Date value set.
`DateValueExpression(java.util.Date dateValue)` Creates a DateValueExpression object and sets the date value stored within the object as the setValue(java.util.Date) method describes.

Method Summary
`java.sql.Date` | `getDateValue()` Returns the same as getValue() but as a more explicit type for this type of object.
`int` | `getExpressionType()` Returns the date expression type ExpressionTypes.EXP_TYPE_DATE
`void` | `setDateValue(java.sql.Date value)` Sets the date value within this object to the specified value.

Methods inherited from class com.sas.iquery.metadata.expr.AbstractTimeValueExpression
`equals, generateQueryText, generateQueryText, getExplicitDoubleValue, getValue, newValue, setExplicitDoubleValue, setValue`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Constructor Detail

### DateValueExpression

    public DateValueExpression()

  Creates a DateValueExpression object with no date value set.

### DateValueExpression

    public DateValueExpression(java.sql.Date value)

  Creates a DateValueExpression object with the specified Date value set.

  The value specified is copied into this object and no future changes to the specified value affect this object's stored value.

  Parameters:
    `value` - the value to set this object to or null

### DateValueExpression

    public DateValueExpression(java.util.Date dateValue)

  Creates a DateValueExpression object and sets the date value stored within the object as the setValue(java.util.Date) method describes.

Method Detail

### getDateValue

    public java.sql.Date getDateValue()

  Returns the same as getValue() but as a more explicit type for this type of object.

  Returns:
    java.sql.Date the date value stored in this object or null if none set

### setDateValue

    public void setDateValue(java.sql.Date value)

  Sets the date value within this object to the specified value.

  The value specified is copied into this object and no future changes to the specified value affect this object's stored value.

  Parameters:
    `value` - the value to set this object to.

### getExpressionType

    public int getExpressionType()

  Returns the date expression type ExpressionTypes.EXP_TYPE_DATE

  Returns:
    an expression type from class ExpressionTypes

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.